Package org.drinkless.tdlib

# Class TdApi.MessageStakeDice

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageStakeDice

Enclosing class:
  `TdApi`

public static class TdApi.MessageStakeDice extends TdApi.MessageContent
A stake dice message. The dice value is randomly generated by the server.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.DiceStickers`
  `finalState`
  The animated stickers with the final dice animation; may be null if unknown.
  `TdApi.DiceStickers`
  `initialState`
  The animated stickers with the initial dice animation; may be null if unknown.
  `long`
  `prizeToncoinAmount`
  The Toncoin amount that was gained from the roll; in the smallest units of the currency; -1 if the dice don't have final state yet.
  `long`
  `stakeToncoinAmount`
  The Toncoin amount that was staked; in the smallest units of the currency.
  `int`
  `value`
  The dice value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageStakeDice()`
  A stake dice message.
  `MessageStakeDice(TdApi.DiceStickers initialState, TdApi.DiceStickers finalState, int value, long stakeToncoinAmount, long prizeToncoinAmount)`
  A stake dice message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### initialState

    @Nullable public TdApi.DiceStickers initialState
    The animated stickers with the initial dice animation; may be null if unknown. The update updateMessageContent will be sent when the sticker became known.

  - ### finalState

    @Nullable public TdApi.DiceStickers finalState
    The animated stickers with the final dice animation; may be null if unknown. The update updateMessageContent will be sent when the sticker became known.

  - ### value

    public int value
    The dice value. If the value is 0, then the dice don't have final state yet.

  - ### stakeToncoinAmount

    public long stakeToncoinAmount
    The Toncoin amount that was staked; in the smallest units of the currency.

  - ### prizeToncoinAmount

    public long prizeToncoinAmount
    The Toncoin amount that was gained from the roll; in the smallest units of the currency; -1 if the dice don't have final state yet.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageStakeDice

    public MessageStakeDice()
    A stake dice message. The dice value is randomly generated by the server.

  - ### MessageStakeDice

    public MessageStakeDice(TdApi.DiceStickers initialState, TdApi.DiceStickers finalState, int value, long stakeToncoinAmount, long prizeToncoinAmount)
    A stake dice message. The dice value is randomly generated by the server.
    Parameters:
      `initialState` - The animated stickers with the initial dice animation; may be null if unknown. The update updateMessageContent will be sent when the sticker became known.
      `finalState` - The animated stickers with the final dice animation; may be null if unknown. The update updateMessageContent will be sent when the sticker became known.
      `value` - The dice value. If the value is 0, then the dice don't have final state yet.
      `stakeToncoinAmount` - The Toncoin amount that was staked; in the smallest units of the currency.
      `prizeToncoinAmount` - The Toncoin amount that was gained from the roll; in the smallest units of the currency; -1 if the dice don't have final state yet.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR